<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Cars</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Aset</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-6">
                                    <a th:href="@{/masters/asset}" class="btn btn-secondary btn-block">Data Barang</a>
                                </div>
                                <div class="col-md-6">
                                    <a th:href="@{/masters/car/list}" class="btn btn-primary btn-block">Data Mobil</a>
                                </div>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="card">
                                <div class="card-header">
                                    <h4>Data</h4>
                                    <div class="card-header-action">
                                        <a th:href="@{/masters/car/form}" class="btn btn-success">+ New</a>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div class="table-responsive">
                                        <table class="table table-striped">
                                            <thead>
                                            <tr>
                                                <th> # </th>
                                                <th> Mobil </th>
                                                <th> Tahun </th>
                                                <th> Nomor Polisi </th>
                                                <th> Tarif Peminjaman</th>
                                                <th></th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr th:each="data, row:${carList} ">
                                                <td th:text="${(row.index + 1)}"></td>
                                                <td><a th:href="@{/masters/car/edit(id = ${data.id})}" class="btn btn-outline-success btn-sm" th:text="${data.merek}"></a></td>
                                                <td th:text="${data.tahun}"></td>
                                                <td th:text="${data.nomorPolisi}"></td>
                                                <td>
                                                    <ul>
                                                        <li th:text="${'Rp. ' + #numbers.formatDecimal(data.tarif, 0, 'POINT', 2, 'COMMA') + ' (Dalam Jabodetabek)'}"></li>
                                                        <li th:text="${'Rp. ' + #numbers.formatDecimal(data.tarifLuar, 0, 'POINT', 2, 'COMMA') + ' (Luar Jabodetabek)'}"></li>
                                                    </ul>
                                                </td>
                                                <th>
                                                    <button type="button" class="btn btn-danger btn-sm" data-backdrop="false" data-toggle="modal" th:data-target="${'#exampleModal' + data.id}">
                                                        <i class="fa fa-trash"></i>
                                                    </button>

                                                    <!-- Modal -->
                                                    <div class="modal fade" th:id="${'exampleModal' + data.id}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                        <div class="modal-dialog" role="document">
                                                            <form th:action="@{/masters/car/delete(mobil = ${data.id})}" method="post">
                                                                <div class="modal-content">
                                                                    <div class="modal-header">
                                                                        <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                            <span aria-hidden="true">&times;</span>
                                                                        </button>
                                                                    </div>
                                                                    <div class="modal-body">
                                                                        Apakah Anda ingin menghapus data ini ?</p>
                                                                    </div>
                                                                    <div class="modal-footer">
                                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                                                                        <button type="submit" class="btn btn-primary">Yes</button>
                                                                    </div>
                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </th>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                                        <nav>
                                            <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                                <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                                <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                                <li class="page-item"><a class="page-link" href="#">2</a></li>
                                                <li class="page-item"><a class="page-link" href="#">3</a></li>
                                                <li class="page-item"><a class="page-link" href="#">4</a></li>
                                                <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                            </ul>
                                        </nav>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </section>
</div>

</body>
</html>